# SPEC file for Zim

%define realname Zim

Name: zim
Version: 0.18
Release: alt1

Summary: a desktop wiki and outliner
Summary(ru_RU.UTF-8): настольный wiki и outliner

License: Perl License
Group: Editors
#URL: http://zoidberg.student.utwente.nl/zim/
Url: http://pardus-larus.student.utwente.nl/~pardus/projects/zim/

Packager: Nikolay A. Fetisov <naf@altlinux.ru>

BuildArch: noarch

#Source: http://zoidberg.student.utwente.nl/downloads/Zim/%realname-%version.tar.bz2
Source: http://pardus-larus.student.utwente.nl/~pardus/downloads/Zim/%realname-%version.tar.bz2
Patch0: Zim-0.15-alt-desktop_l10n.patch
Patch1: Zim-0.16-alt-backlink_perfomance.patch

Requires: perl-unicore
BuildPreReq: perl-devel perl-Module-Build
BuildPreReq: perl-Gtk2 perl-Cairo-devel perl-Gtk2-TrayIcon perl-Gtk2-Spell
BuildPreReq: perl-File-BaseDir perl-File-DesktopEntry perl-File-MimeInfo
BuildPreReq: perl-Test-Pod perl-Test-Pod-Coverage
BuildPreReq: perl-PerlIO perl-DBI perl-Devel-Symdump perl-Encode
BuildPreReq: perl-Pod-Coverage perl-Pod-Escapes perl-Pod-Simple perl-Storable
BuildPreReq: fontconfig
BuildPreReq: perl-IO-stringy

%description
Zim  is a WYSIWYG text editor written in Gtk2-Perl which aims to
bring the concept of a wiki to your desktop. Every page is saved
as a  text file  with wiki markup.  Pages  can contain  links to
other pages, and are saved automatically. Creating a new page is
as easy as linking to a non-existing page.  Pages are ordered in
a hierarchical structure  that gives it the  look and feel of an
outliner.  This tool is intended to keep track  of TODO lists or
to serve as a personal scratch book.

%description -l ru_RU.UTF-8
Zim - написанный на Gtk2-Perl текстовый редактор WYSIWYG, который
стремиться  принести  концепцию  wiki  на рабочий  стол.   Каждая
страница сохраняется как текстовый файл с разметкой в стиле wiki.
Страницы могут содержать  ссылки на другие страницы и сохраняются
автоматически.  Создать новую страницу так же просто, как создать
ссылки  на несуществующую страницу.  Страницы  упорядочиваются  в
иерархическую структуру,  которую можно  рассматривать  как некое
подобие аутлайнера.  Данная утилита предназначена преимущественно
для хранения спискок задач или для использования в качестве
персональной записной книжки.

%prep
%setup -n %realname-%version
%patch0
#%patch1

%__subst 's@Icon=zim@Icon=zim.png@' share/applications/zim.desktop
# Fix test
%__subst 's@test:WIKI@:Test:wiki@' t/20_repository.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%post
%update_menus

%postun
%clean_menus

%files
%doc Changes

%_bindir/%name

%exclude %perl_vendor_man3dir/*
%_man1dir/%{name}*

%perl_vendor_privlib/Gtk2/Ex/*
%perl_vendor_privlib/%{realname}*
%_datadir/%{name}*

%_desktopdir/%name.desktop
%_pixmapsdir/*

%changelog
* Tue Mar 20 2007 Vitaly Lipatov <lav@altlinux.ru> 0.18-alt1
- new version, cleanup spec

* Thu Aug 31 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.16-alt1
- New version 0.16
  * major feature enhancements, see Changes for details
- Fix for #9931

* Mon Jan 02 2006 Vitaly Lipatov <lav@altlinux.ru> 0.09-alt0.1
- initial build for ALT Linux Sisyphus
